/*
 * Workaround: OGRE's Entity::prepareTempBlendBuffers() is private, but we need
 * to call it after shareSkeletonInstanceWith() to ensure per-entity temporary
 * vertex buffers are created for pose animation.
 */
#define private public
#include <OgreEntity.h>
#undef private

void prepareEntityTempBlendBuffers(Ogre::Entity *ent)
{
	ent->prepareTempBlendBuffers();
}
